<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<!--
 Copyright (c) 2015-2017 Obeo, Inria
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 which accompanies this distribution, and is available at
 http://www.eclipse.org/legal/epl-v10.html

 Contributors:
 - William Piers <william.piers@obeo.fr>
 - Philippe Merle <philippe.merle@inria.fr>
 - Faiez Zalila <faiez.zalila@inria.fr>
-->
<plugin>

   <!-- Register the workflow extension. -->
   <extension point="org.eclipse.cmf.occi.core.occie">
      <occie scheme="http://schemas.ugoe.cs.rwm/workflow#" file="model/workflow.occie"/>
   </extension>

   <!-- Define URI mapping. -->
   <extension point="org.eclipse.emf.ecore.uri_mapping">
      <mapping source="http://schemas.ugoe.cs.rwm/workflow" target="platform:/plugin/de.ugoe.cs.rwm.wocci.model/model/workflow.occie"/>
   </extension>

   <!-- Register the parser for .workflow files. -->
   <extension point="org.eclipse.emf.ecore.extension_parser">
      <parser type="workflow" class="org.eclipse.cmf.occi.core.util.OCCIResourceFactoryImpl"/>
   </extension>

   <!-- Popup menu for converting to an OCCI Configuration file. -->
   <extension point="org.eclipse.ui.popupMenus">
      <objectContribution
            id="de.ugoe.cs.rwm.wocci.model.contribution"
            nameFilter="*.workflow"
            objectClass="org.eclipse.core.resources.IFile">
         <menu
               id="org.eclipse.cmf.occi.core.occi-studio.ui.menu"
               label="OCCI Studio"
               path="additionsOCCIStudio">
            <separator name="group"/>
         </menu>
         <action
               class="org.eclipse.cmf.occi.core.ui.popup.actions.ExtensionConfiguration2OCCICAction"
               enablesFor="1"
               id="de.ugoe.cs.rwm.wocci.model.ecore2occi"
               label="Convert to an OCCI Configuration File"
               menubarPath="org.eclipse.cmf.occi.core.occi-studio.ui.menu/group">
         </action>
      </objectContribution>
   </extension>
   <extension point="org.eclipse.emf.ecore.generated_package">
      <!-- @generated workflow -->
      <package
            uri="http://schemas.ugoe.cs.rwm/workflow/ecore"
            class="workflow.WorkflowPackage"/>
   </extension>

</plugin>
